Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QStyleOptionTab Class Reference

The QStyleOptionTab class is used to describe the parameters for drawing a tab bar. More...

    #include <QStyleOptionTab>

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum SelectedPosition { NotAdjacent, NextIsSelected, PreviousIsSelected }
- enum TabPosition { Beginning, Middle, End, OnlyOneTab }

### Read-Only Properties

icon : QIcon position : TabPosition row : int | selectedPosition : SelectedPosition shape : QTabBar::Shape text : QString

- 5 read-only properties inherited from QStyleOption

### Public Functions

- QStyleOptionTab ()

- 1 public function inherited from QStyleOption

## Detailed Description

The QStyleOptionTab class is used to describe the parameters for drawing a tab bar.

The QStyleOptionTab class is used for drawing QTabBar and the pane for QTabWidget.

## Member Type Documentation

### enum QStyleOptionTab::SelectedPosition

`QStyleOptionTab::NotAdjacent` | The tab is not adjacent to a selected tab (or is the selected tab).
`QStyleOptionTab::NextIsSelected` | The next tab (typically the tab on the right) is selected.
`QStyleOptionTab::PreviousIsSelected` | The previous tab (typically the tab on the left) is selected.

See also selectedPosition.

### enum QStyleOptionTab::TabPosition

`QStyleOptionTab::Beginning` | The tab is the first tab in the tab bar.
`QStyleOptionTab::Middle` | The tab is neither the first nor the last tab in the tab bar.
`QStyleOptionTab::End` | The tab is the last tab in the tab bar.
`QStyleOptionTab::OnlyOneTab` | The tab is both the first and the last tab in the tab bar.

See also position.

## Property Documentation

### icon : QIcon

This property holds the icon for the tab.

### position : TabPosition

This property holds the position of the tab in the tab bar.

### row : int

This property holds which row the tab is currently in.

0 indicates the front row.

Currently this property can only be 0.

### selectedPosition : SelectedPosition

This property holds the position of the selected tab in relation to this tab. Some styles need to draw a tab differently depending on whether or not it is adjacent to the selected tab.

### shape : QTabBar::Shape

This property holds the tab shape used to draw the tab.

See also QTabBar::Shape.

### text : QString

This property holds the text of the tab.

## Member Function Documentation

### QStyleOptionTab::QStyleOptionTab ()

Constructs a QStyleOptionTab object. The members variables are initialized to default values.